<?php
// +-----------------------------------------------------------------------+
// | PhpWebGallery - a PHP based picture gallery                           |
// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
// +-----------------------------------------------------------------------+

if (!defined('PHPWG_ROOT_PATH')) { die('Hacking attempt!'); }

class Wall
{

  function location()
  {
    global $lang;
    $this->path = dirname(__FILE__).'/';
    include(get_language_filepath('lang.php', $this->path));
  }

  function Set_First($stone)
  {
    array_push($stone,
      array
      (
        'CAPTION' => l10n('Build_a_wall'),
        'URL' => PHPWG_ROOT_PATH
               . 'admin.php?page=plugin&section=picture_wall/cement.php&amp;construction'
      ));
    return $stone;
  }

  function get_popup_help_content($popup_help_content, $page)
  {
    $this->help = dirname(__FILE__).'/help/';
    if (in_array($page, array('advanced_feature', 'cement')))
    {
      return $popup_help_content .
        @file_get_contents(get_language_filepath('help/cement.html', 
        $this->help));
    }
    else
    {
      return $popup_help_content;
    }
  }
}

if ( defined('IN_ADMIN') and IN_ADMIN )
{
  // Build a wall or add a brick
  $building = new Wall(); 

  // Add events  
  add_event_handler('get_popup_help_content', 
    array(&$building, 'get_popup_help_content'), 
    EVENT_HANDLER_PRIORITY_NEUTRAL, 2);
  add_event_handler('loading_lang', array(&$building, 'location'));
  add_event_handler('get_admin_advanced_features_links', 
    array(&$building, 'Set_First'));

}
?>
